GNU Radio C++ API Reference: gr::logging Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::logging Class Reference

`#include <gnuradio/logger.h>`

## Public Member Functions
| logging (logging const &)=delete
void | operator= (logging const &)=delete
log_level | default_level () const
| get the default logging level
log_level | debug_level () const
| get the debug logging level
void | set_default_level (log_level level)
| set the default logging level
void | set_debug_level (log_level level)
| set the debug logging level
spdlog::sink_ptr | default_backend () const
void | add_default_sink (const spdlog::sink_ptr &sink)
| adds a logging sink
void | add_debug_sink (const spdlog::sink_ptr &sink)
| adds a debugging sink
void | add_default_console_sink ()
| add a default-constructed console sink to the default logger
void | add_debug_console_sink ()
| add a default-constructed console sink to the debugging logger

## Static Public Member Functions
static logging & | singleton ()

## Static Public Attributes
static constexpr const char * | default_pattern = "%n :%l: %v"

## Constructor & Destructor Documentation

## ◆ logging()

gr::logging::logging | ( | logging const & |  | ) |
| delete

References logging().

Referenced by logging(), operator=(), and singleton().

## Member Function Documentation

## ◆ add_debug_console_sink()

void gr::logging::add_debug_console_sink | ( |  | ) |

add a default-constructed console sink to the debugging logger

## ◆ add_debug_sink()

void gr::logging::add_debug_sink | ( | const spdlog::sink_ptr & | sink | ) |

adds a debugging sink

## ◆ add_default_console_sink()

void gr::logging::add_default_console_sink | ( |  | ) |

add a default-constructed console sink to the default logger

## ◆ add_default_sink()

void gr::logging::add_default_sink | ( | const spdlog::sink_ptr & | sink | ) |

adds a logging sink

## ◆ debug_level()

log_level gr::logging::debug_level | ( |  | ) | const
| inline

get the debug logging level

## ◆ default_backend()

spdlog::sink_ptr gr::logging::default_backend | ( |  | ) | const

## ◆ default_level()

log_level gr::logging::default_level | ( |  | ) | const
| inline

get the default logging level

## ◆ operator=()

void gr::logging::operator= | ( | logging const & |  | ) |
| delete

References logging().

## ◆ set_debug_level()

void gr::logging::set_debug_level | ( | log_level | level | ) |

set the debug logging level

## ◆ set_default_level()

void gr::logging::set_default_level | ( | log_level | level | ) |

set the default logging level

## ◆ singleton()

logging & gr::logging::singleton | ( |  | ) |
| static

References logging().

## Member Data Documentation

## ◆ default_pattern

const char* gr::logging::default_pattern = "%n :%l: %v"
| staticconstexpr

The documentation for this class was generated from the following file:

- logger.h